ros-humble-tiago-description (4.24.1-1jammy) jammy; urgency=high

  * Use package instead of find for meshes lookup
    This change avoids errors when visualizing the robot in rviz2 from a
    remote host instead of directly inside the robot
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 29 Jan 2026 00:00:00 -0000

ros-humble-tiago-description (4.24.0-1jammy) jammy; urgency=high

  * Add support for new gazebo
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 12 Jan 2026 00:00:00 -0000

ros-humble-tiago-description (4.23.1-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 08 Jan 2026 00:00:00 -0000

ros-humble-tiago-description (4.23.0-1jammy) jammy; urgency=high

  * Add gazebo_version xacro argument
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 05 Dec 2025 00:00:00 -0000

ros-humble-tiago-description (4.22.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 29 Oct 2025 00:00:00 -0000

ros-humble-tiago-description (4.21.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 27 Oct 2025 00:00:00 -0000

ros-humble-tiago-description (4.20.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 20 Oct 2025 00:00:00 -0000

ros-humble-tiago-description (4.19.6-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 01 Oct 2025 00:00:00 -0000

ros-humble-tiago-description (4.19.5-1jammy) jammy; urgency=high

  * Fix torso collision
  * Contributors: thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 16 Sep 2025 00:00:00 -0000

ros-humble-tiago-description (4.19.4-1jammy) jammy; urgency=high

  * Add side screen to URDF
  * Contributors: thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 18 Aug 2025 00:00:00 -0000

ros-humble-tiago-description (4.19.3-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 16 Jul 2025 00:00:00 -0000

ros-humble-tiago-description (4.19.2-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 09 Jul 2025 00:00:00 -0000

ros-humble-tiago-description (4.19.1-1jammy) jammy; urgency=high

  * fix use_sim_time
  * Contributors: andreacapodacqua

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 09 Jul 2025 00:00:00 -0000

ros-humble-tiago-description (4.19.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 08 Jul 2025 00:00:00 -0000

ros-humble-tiago-description (4.18.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 18 Jun 2025 00:00:00 -0000

ros-humble-tiago-description (4.17.2-1jammy) jammy; urgency=high

  * Change sensors paths according to pal_urdf_utils
  * Remove meshes for sensors
  * Move ros2 ft senso file to global one
  * Change path into a more detailed one
  * Remove sensors from tiago_description
  * Move sensors to pal_urdf_utils package
  * Contributors: Aina

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 05 Jun 2025 00:00:00 -0000

ros-humble-tiago-description (4.17.1-1jammy) jammy; urgency=high

  * Remove usage of sensors.ros2_control.xacro
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 13 May 2025 00:00:00 -0000

ros-humble-tiago-description (4.17.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 09 Apr 2025 00:00:00 -0000

ros-humble-tiago-description (4.16.0-1jammy) jammy; urgency=high

  * uniform topic names with real robot
  * Contributors: antoniobrandi

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 03 Apr 2025 00:00:00 -0000

ros-humble-tiago-description (4.15.1-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 28 Mar 2025 00:00:00 -0000

ros-humble-tiago-description (4.15.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 25 Mar 2025 00:00:00 -0000

ros-humble-tiago-description (4.14.1-1jammy) jammy; urgency=high

  * Remove unused imu broadcaster
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 18 Mar 2025 00:00:00 -0000

ros-humble-tiago-description (4.14.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 24 Feb 2025 00:00:00 -0000

ros-humble-tiago-description (4.13.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 22 Jan 2025 00:00:00 -0000

ros-humble-tiago-description (4.12.0-1jammy) jammy; urgency=high

  * Update use of master calibration in urdf
  * Contributors: David ter Kuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 20 Jan 2025 00:00:00 -0000

ros-humble-tiago-description (4.11.1-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 10 Jan 2025 00:00:00 -0000

ros-humble-tiago-description (4.11.0-1jammy) jammy; urgency=high

  * Remove offset for the pal gripper and the robotiq
  * Contributors: thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 16 Dec 2024 00:00:00 -0000

ros-humble-tiago-description (4.10.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 29 Nov 2024 00:00:00 -0000

ros-humble-tiago-description (4.9.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 21 Nov 2024 00:00:00 -0000

ros-humble-tiago-description (4.8.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 21 Nov 2024 00:00:00 -0000

ros-humble-tiago-description (4.7.1-1jammy) jammy; urgency=high

  * Add xacro tests
  * Contributors: Aina

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 08 Nov 2024 00:00:00 -0000

ros-humble-tiago-description (4.7.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 06 Nov 2024 00:00:00 -0000

ros-humble-tiago-description (4.6.0-1jammy) jammy; urgency=high

  * Fix torso height for the omni_base
  * Add slash to node names on parameter files
  * Contributors: Noel Jimenez, thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 18 Sep 2024 00:00:00 -0000

ros-humble-tiago-description (4.5.0-1jammy) jammy; urgency=high

  * Fix distances for old wrist + change default wrist + typo
  * Fix distance of from the arm_7_link to arm_tool_link and the ft_sensor link placement
  * Contributors: thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 29 Aug 2024 00:00:00 -0000

ros-humble-tiago-description (4.4.0-1jammy) jammy; urgency=high

  * Add dependencies and parameter for motor_model
  * Contributors: Aina

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 22 Aug 2024 00:00:00 -0000

ros-humble-tiago-description (4.3.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 07 Aug 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.21-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 05 Aug 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.20-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 29 Jul 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.19-1jammy) jammy; urgency=high

  * Change parameter to arm_type
  * Contributors: thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 25 Jul 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.18-1jammy) jammy; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 09 Jul 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.17-1jammy) jammy; urgency=high

  * change module name into 10_*
  * Contributors: Aina

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 08 Jul 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.16-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 28 Jun 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.15-1jammy) jammy; urgency=high

  * Merge branch 'dtk/move-robot-args' into 'humble-devel'
    Change imports for robot arguments
    See merge request robots/tiago_robot!297
  * Change imports for robot arguments
  * Contributors: David ter Kuile, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 26 Jun 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.14-1jammy) jammy; urgency=high

  * Merge branch 'dtk/fix/base-urdf' into 'humble-devel'
    Dtk/fix/base urdf
    See merge request robots/tiago_robot!295
  * Move _link to top file xacro
  * Add imu gazebo plugin and imu sensor broadcaster
  * Move ros2 control gazebo
  * Update urdf base with new args
  * Contributors: David ter Kuile, davidterkuile, thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 25 Jun 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.13-1jammy) jammy; urgency=high

  * Merge branch 'dtk/fix/description-test-base-type' into 'humble-devel'
    Add the base type to the tests
    See merge request robots/tiago_robot!289
  * Add the base type to the tests
  * Merge branch 'dtk/fix/is-public-sim' into 'humble-devel'
    Fix missing public sim arg
    See merge request robots/tiago_robot!290
  * Fix missing public sim arg
  * Merge branch 'fix/is_public_sim_argument' into 'humble-devel'
    add missing argument is_public_sim
    See merge request robots/tiago_robot!288
  * add missing argument is_public_sim
  * Contributors: Aina Irisarri, David ter Kuile, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 05 Jun 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.12-1jammy) jammy; urgency=high

  * Merge branch 'omm/fix/desc_test_proper_arg' into 'humble-devel'
    Changed test arm argument to arm_type
    See merge request robots/tiago_robot!286
  * Changed test arm argument to arm_type
  * Merge branch 'omm/feat/arm_name_std' into 'humble-devel'
    Changed arm_model to arm_type in the URDF
    See merge request robots/tiago_robot!285
  * Changed arm_model to arm_type in the URDF
  * Contributors: davidterkuile, oscarmartinez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 10 May 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.11-1jammy) jammy; urgency=high

  * Merge branch 'omm/feat/public_sim_conditions' into 'humble-devel'
    Publishing the odom tf depending on the is_public_sim parameter
    See merge request robots/tiago_robot!284
  * Publishing the odom tf depending on the is_public_sim parameter
  * Contributors: davidterkuile, oscarmartinez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 09 May 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.10-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 09 May 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.9-1jammy) jammy; urgency=high

  * Merge branch 'dtk/fix/robot-state-publisher' into 'humble-devel'
    Dtk/fix/robot state publisher
    See merge request robots/tiago_robot!281
  * Add robot state publisher dependency to tiago description
  * Contributors: davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 07 May 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.8-1jammy) jammy; urgency=high

  * Merge branch 'omm/fix/urdf_complete_std' into 'humble-devel'
    URDF std
    See merge request robots/tiago_robot!278
  * Suggested changed
  * Module, joy config and restored support for tiago dual
  * Gazebo config std
  * Final mods
  * Transmissions std
  * Thermal camera std
  * FT sensor std
  * ee std
  * Arm std
  * Style fix
  * ROS2 control and include std
  * Head std
  * Torso std
  * Property/arg standarization
  * High level urdf standarization
  * Suggested changes
  * Launch files moved to TIAGo family standard
  * Contributors: Oscar, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 30 Apr 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.7-1jammy) jammy; urgency=high

  * Merge branch 'sgg/feat/base_type_omni_base' into 'humble-devel'
    Sgg/feat/base type omni base
    See merge request robots/tiago_robot!273
  * Update new robot argument method
    Update new robot argument
    Update new robot argument
    Remove blank lines
  * Launch joint_state_broadcaster depending on the base_type
    Fix syntax
    Remove redundant check
    Remove redundant check
  * Disable depency for humble
  * Add omni-directional gazebo drive
  * Parameterized wheel details based on base type
  * Add omni_base_description package
  * Add base_type parameter
  * Contributors: Sergi Garcia, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 22 Apr 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.6-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.5-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 10 Apr 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.4-1jammy) jammy; urgency=high

  * Fix jnt_reduction_2 for wrist transmission
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 06 Mar 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.3-1jammy) jammy; urgency=high

  * Fix no-ee suffix for no-end-effector value
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 28 Feb 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.2-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 02 Feb 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.1-1jammy) jammy; urgency=high

  * fix condition for end_effector suffix in the config file names
  * Contributors: Aina Irisarri

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 31 Jan 2024 00:00:00 -0000

ros-humble-tiago-description (4.2.0-1jammy) jammy; urgency=high

  * Remove right-arm option and use tiago-arm
  * use the same functionality to create the suffix for the config files & match it with tiago_dual
  * Contributors: Aina Irisarri, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 31 Jan 2024 00:00:00 -0000

ros-humble-tiago-description (4.1.2-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 19 Jan 2024 00:00:00 -0000

ros-humble-tiago-description (4.1.1-1jammy) jammy; urgency=high

  * epick end effector commented
  * differentiating macros for robotiq-85 & robotiq-140
  * removing epick as posible end_effector for now
  * modifying where to find the urdfs for robotiq
  * updating the necessary dependencies for robotiq
  * adding robotiq_grippers as possibles end_effectors
  * Contributors: Aina Irisarri

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 19 Jan 2024 00:00:00 -0000

ros-humble-tiago-description (4.1.0-1jammy) jammy; urgency=high

  * Merge branch 'ros2-tiago-dual' into 'humble-devel'
    Ros2 tiago dual
    See merge request robots/tiago_robot!240
  * Change test arg to tiago-arm in CMakelists
  * Rename end-effector xacro arg
  * Change arm type to tiago-arm instead of arm right
  * Add is_dual arg to arm.urdf.xacro
  * Update inertia of arm link 4 urdf
  * Contributors: David ter Kuile, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 18 Jan 2024 00:00:00 -0000

ros-humble-tiago-description (4.0.28-1jammy) jammy; urgency=high

  * renaming hey5 package and the xacro files into pal_hey5
  * Contributors: Aina Irisarri

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 22 Dec 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.27-1jammy) jammy; urgency=high

  * Use pal_urdf_utils materials and deg_to_rad
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 18 Dec 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.26-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 14 Dec 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.25-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 12 Dec 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.24-1jammy) jammy; urgency=high

  * Bump module names
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 12 Dec 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.23-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 11 Dec 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.22-1jammy) jammy; urgency=high

  * Update cmake_minimum_required version to 3.8
  * Cleanup repository
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 22 Nov 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.21-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 15 Nov 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.20-1jammy) jammy; urgency=high

  * Add website tag
  * Rename description and controller modules
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 14 Nov 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.19-1jammy) jammy; urgency=high

  * Set use_sim_time false as default
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 13 Nov 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.18-1jammy) jammy; urgency=high

  * Split bringup module
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 07 Nov 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.17-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 19 Oct 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.16-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 18 Sep 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.15-1jammy) jammy; urgency=high

  * Add use_sim_time argument to use it in the robot description
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 04 Sep 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.14-1jammy) jammy; urgency=high

  * Rename FT Sensor
  * Use same condition to call ft_sensor macros
  * Add controller for the FT sensor
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 20 Jul 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.13-1jammy) jammy; urgency=high

  * Remove schunk wsg option
  * Remove left arm option
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.12-1jammy) jammy; urgency=high

  * Remove pal flags dependency
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 05 Jul 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.11-1jammy) jammy; urgency=high

  * fix get_tiago_hw_suffix method to match yaml files
  * move pal-hey5 ros2_control xacro to hey5_description
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 28 Jun 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.10-1jammy) jammy; urgency=high

  * unify file generator and get_tiago_hw_suffix method
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 14 Jun 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.9-1jammy) jammy; urgency=high

  * Add effort and veloctiy command interfaces
  * Contributors: Adria Roig

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 11 May 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.8-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 11 May 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.7-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.6-1jammy) jammy; urgency=high

  * rename motors to actuators
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 17 Apr 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.5-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 06 Mar 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.4-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 02 Mar 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.3-1jammy) jammy; urgency=high

  * Merge branch 'join_transmissions' into 'humble-devel'
    Join transmissions in a single file
    See merge request robots/tiago_robot!187
  * join transmissions definition in a single file
  * remove unused includes and duplicated transmissions
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 22 Feb 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.2-1jammy) jammy; urgency=high

  * Merge branch 'transmissions' into 'humble-devel'
    Set transmissions inside the ros2_control tag
    See merge request robots/tiago_robot!186
  * update transmissions for arm, head and torso
  * update transmission tags for ros2
  * set transmissions inside the ros2_control tag
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-tiago-description (4.0.1-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 10 Nov 2022 00:00:00 -0000

ros-humble-tiago-description (4.0.0-1jammy) jammy; urgency=high

  * Merge branch 'mv_calibration_files' into 'humble-devel'
    Move tiago_description_calibration xacro files to tiago_description
    See merge request robots/tiago_robot!178
  * move tiago_description_calibration xacro files to tiago_description
  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup package.xml files and rm duplicated launcher
    See merge request robots/tiago_robot!174
  * update package.xml deps
  * Merge branch 'linters' into 'humble-devel'
    linter fix
    See merge request robots/tiago_robot!173
  * linter fix
  * Merge branch 'refactor_hw_suffix_method' into 'humble-devel'
    refactor get_tiago_hw_suffix to avoid using launch substitutions
    See merge request robots/tiago_robot!171
  * refactor get_tiago_hw_suffix to avoid using launch substitutions
  * Merge branch 'adjust_friction_dumping' into 'humble-devel'
    Adjust arm friction and dumping
    See merge request robots/tiago_robot!170
  * adjust arm friction and dumping
  * Merge branch 'update_copyright' into 'humble-devel'
    update copyright and license
    See merge request robots/tiago_robot!167
  * update copyright and license
  * Merge branch 'fix_warns' into 'humble-devel'
    fix remmaping warns
    See merge request robots/tiago_robot!166
  * fix remmaping warns
  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup
    See merge request robots/tiago_robot!165
  * rm ros1 launchers
  * Merge branch 'refactor_ld' into 'humble-devel'
    Refactor ld
    See merge request robots/tiago_robot!164
  * refactor LaunchDescription population
  * Merge branch 'update_maintainers' into 'humble-devel'
    Update maintainers
    See merge request robots/tiago_robot!163
  * update maintainers
  * Merge branch 'fix_tests' into 'humble-devel'
    Comment end-effectors not migrated yet for urdf tests success
    See merge request robots/tiago_robot!161
  * comment end-effectors not migrated yet to avoid tests errors
  * Merge branch 'robot_name' into 'humble-devel'
    Robot name
    See merge request robots/tiago_robot!160
  * change default robot_name value
  * Merge branch 'linters' into 'humble-devel'
    Linters
    See merge request robots/tiago_robot!159
  * linters
  * Merge branch 'launch_refactor' into 'humble-devel'
    launch files refactor
    See merge request robots/tiago_robot!158
  * update arm friction and damping
  * launch files refactor
  * Merge branch 'humble_fixes' into 'humble-devel'
    add missing materials
    See merge request robots/tiago_robot!157
  * add missing materials
  * Merge branch 'tiago_launcher' into 'galactic-devel'
    Tiago launcher
    See merge request robots/tiago_robot!150
  * add use_sim arg
  * Merge branch 'add_role_to_ros2_control' into 'foxy-devel'
    Change <type> to <plugin> and add role
    See merge request robots/tiago_robot!136
  * Add role param to plugin urdf
  * Merge branch 'pal-hey5-ros2' into 'foxy-devel'
    pal-hey5 launch files and config
    See merge request robots/tiago_robot!130
  * pal-hey5 launch files and config
  * Rename some tiago hw options, add camera_model and add tests
  * Add description
  * Add missing dependency
  * Make robot_description easy to reuse
  * Move tiago_launch_utils from pmb2_description
  * Remove rgbd_sensors from tiago, as is only for courier
  * Rename xtion camera to head_front_camera
  * Migrate camera to ROS2
  * Fixes to name and topic remaps for p3d plugin
  * Use p3d gazebo plugin instead of ros_world_odometry
  * Add IMU and FT ROS2 Control sensors
  * Add IMU gazebo plugin
  * Support for pal-gripper end effector
  * Added support for arm and ft_sensor args
  * Launch file for showing the description in rviz2
  * Formatting
  * Added wrist to arm_controller
  * Added arm_controller, no wrists
  * Added head_controller
  * All joints now form part of a single ros2_control system
  * ros2_control gazebo system for torso
  * Using gazebo_ros2_control plugin
  * Remove comments to workaround https://github.com/ros2/launch_ros/issues/214
  * First version of the robot_state_publisher.launch.py
  * Migrated package.xml and CMakeLists.txt to ros2 format
  * Contributors: Jordan Palacios, Noel Jimenez, Noel Jimenez Garcia, Victor Lopez, cescfolch, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 08 Nov 2022 00:00:00 -0000

ros-humble-tiago-description (2.0.55-1jammy) jammy; urgency=high

  * Merge branch 'gravity_compensation_fix' into 'erbium-devel'
    Update arm_3_link weight for gravity compensation
    See merge request robots/tiago_robot!120
  * Update arm_3_link weight for gravity compensation
  * Contributors: Adria Roig, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 15 Jan 2021 00:00:00 -0000

ros-humble-tiago-description (2.0.54-1jammy) jammy; urgency=high

  * Merge branch 'no_safety_eps_head' into 'erbium-devel'
    added no safety eps to head
    See merge request robots/tiago_robot!119
  * fix the no_safety_epc head macro issue
  * added no safety eps to head
  * Merge branch 'new-endoscopic-dual' of gitlab:robots/tiago_robot into new-endoscopic-dual
  * Contributors: Sai Kishor Kothakota, daniellopez, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 08 Sep 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.53-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 30 Jul 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.52-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 27 Jul 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.51-1jammy) jammy; urgency=high

  * Merge branch 'fix-head-calibration' into 'erbium-devel'
    add eps to head_motor_2 head.urdf.xacro
    See merge request robots/tiago_robot!116
  * add eps to head_motor_2 head.urdf.xacro
  * Contributors: daniellopez, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 15 Jul 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.50-1jammy) jammy; urgency=high

  * Merge branch 'add-no-safety-eps' into 'erbium-devel'
    Add the option of disabling arm_safety_eps via launch file
    See merge request robots/tiago_robot!115
  * Fix default no_safety_eps value
  * Add the option of disabling arm_safety_eps via launch file
  * Contributors: Victor Lopez, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 10 Jul 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.49-1jammy) jammy; urgency=high

  * Merge branch 'add-master-calibration' into 'erbium-devel'
    Add master calibration compatibility for eye hand and extrinsic
    See merge request robots/tiago_robot!114
  * Proper pal_camera_calibration_extrinsics path
  * Add master calibration compatibility for eye hand and extrinsic
  * Contributors: Victor Lopez, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 01 Jul 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.48-1jammy) jammy; urgency=high

  * Merge branch 'gravity-compensation' into 'erbium-devel'
    change values to have a better gravity compensation. Not optimum result for all tiagos found
    See merge request robots/tiago_robot!113
  * change values to have a better gravity compensation. Not optimum result for all tiagos found
  * Contributors: daniellopez, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 10 Jun 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.47-1jammy) jammy; urgency=high

  * Merge branch 'wrist-2017' into 'erbium-devel'
    adjust mass of wrist-2017
    See merge request robots/tiago_robot!112
  * adjust mass of wrist-2017
  * Contributors: YueErro, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 15 May 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.46-1jammy) jammy; urgency=high

  * Merge branch 'wrist-2019' into 'erbium-devel'
    Use mass and inertia values based on the wrist type
    See merge request robots/tiago_robot!111
  * Use mass and inertia values based on the wrist type
  * Contributors: Sai Kishor Kothakota, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 13 May 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.45-1jammy) jammy; urgency=high

  * Merge branch 'remove_default_parsed_package' into 'erbium-devel'
    remove default description_calibration_package argument in head
    See merge request robots/tiago_robot!110
  * Merge branch 'no_arm' into 'erbium-devel'
    fix wrong_wrist_model condition
    See merge request robots/tiago_robot!107
  * fix wrong_wrist_model condition
  * remove default description_calibration_package argument in head
  * Contributors: saikishor, victor, yueerro

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 12 May 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.44-1jammy) jammy; urgency=high

  * Merge branch 'description-calibration-fixes' into 'erbium-devel'
    Description calibration fixes
    See merge request robots/tiago_robot!109
  * parse package name instead of individual elements and load files respective to package
  * pass the camera origin as an argument to head
  * Contributors: Sai Kishor Kothakota, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 12 May 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.43-1jammy) jammy; urgency=high

  * Fix mesh orientation
  * Merge branch 'fix-orbbec-astra' into 'erbium-devel'
    Fix frames for orbbec astra
    See merge request robots/tiago_robot!108
  * depth frame for orbbec is referenced on the rgb frame
  * Fix y orientation error
  * Fix frames for orbbec astra
  * Remove unused properties
  * Contributors: Victor Lopez, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 08 May 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.42-1jammy) jammy; urgency=high

  * Use different meshes for wrist 2017
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 07 May 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.41-1jammy) jammy; urgency=high

  * Adjust end_effector-wrist distance without FT sensor
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 07 May 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.40-1jammy) jammy; urgency=high

  * Merge branch 'fix-tiago-wrist-offset' into 'erbium-devel'
    Change wrist tool link position with wrist 2017
    See merge request robots/tiago_robot!106
  * Change wrist tool link position with wrist 2017
  * Contributors: Victor Lopez, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 06 May 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.39-1jammy) jammy; urgency=high

  * Merge branch 'custom-ee' into 'erbium-devel'
    Allow using custom end-effector
    See merge request robots/tiago_robot!102
  * Add test for custom End-Effector
  * Allow using custom end-effector
  * Contributors: davidfernandez, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 21 Apr 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.38-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 27 Feb 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.37-1jammy) jammy; urgency=high

  * Merge branch 'wrist_model' into 'erbium-devel'
    add wrist_model arg
    See merge request robots/tiago_robot!101
  * add wrist_model arg
  * Contributors: Victor Lopez, YueErro

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 14 Feb 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.36-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 28 Jan 2020 00:00:00 -0000

ros-humble-tiago-description (2.0.35-1jammy) jammy; urgency=high

  * Merge branch 'arm_offset_fix' into 'erbium-devel'
    parse arm joint offsets through the macro
    See merge request robots/tiago_robot!98
  * parse arm joint offsets through the macro
  * Contributors: Sai Kishor Kothakota, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 06 Nov 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.34-1jammy) jammy; urgency=high

  * Merge branch 'ivo_robot' into 'erbium-devel'
    parameterize the parsed offsets w.r.t to the name
    See merge request robots/tiago_robot!96
  * parameterize the parsed offsets w.r.t to the name
  * Contributors: Jordan Palacios, Sai Kishor Kothakota

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 30 Oct 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.33-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 21 Oct 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.32-1jammy) jammy; urgency=high

  * Merge branch 'fix-gazebo-pose-frame' into 'erbium-devel'
    fixed frame used in ground truth pose
    See merge request robots/tiago_robot!95
  * fixed frame used in ground truth pose
  * Contributors: Procópio Stein

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 16 Oct 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.31-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 10 Oct 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.30-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 02 Oct 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.29-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 27 Sep 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.28-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 25 Sep 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.27-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 17 Sep 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.26-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 18 Jul 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.25-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 09 Jul 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.24-1jammy) jammy; urgency=high

  * Merge branch 'new-dual-arm-2-limit' into 'erbium-devel'
    Fix dual arm 2 lower limit
    See merge request robots/tiago_robot!88
  * Fix dual arm 2 lower limit
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 08 Jul 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.23-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 07 Jun 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.22-1jammy) jammy; urgency=high

  * Merge branch 'tiago-dual-arm-1-2' into 'erbium-devel'
    Tiago dual arm 1 2
    See merge request robots/tiago_robot!85
  * Fix joint limits for tiago 2 arm
  * Fix transmission duplicated name for tiago 2 arm
  * Modify arm 1, 2 and 3 for TIAGo Dual
  * Merge branch 'melodic_fixes' into 'erbium-devel'
    added boolean false to the variation lists
    See merge request robots/tiago_robot!86
  * added boolean false to the variation lists
  * Add default parameters to show.launch for easier testing
  * Contributors: Sai Kishor Kothakota, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 21 May 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.21-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 13 May 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.20-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 09 May 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.19-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 02 May 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.18-1jammy) jammy; urgency=high

  * Merge branch 'reduce-padding' into 'erbium-devel'
    Reduce padding for tiago arm
    See merge request robots/tiago_robot!82
  * Reduce padding for tiago arm
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 23 Apr 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.17-1jammy) jammy; urgency=high

  * Merge branch 'tiago-dual' into 'erbium-devel'
    Fixes for tiago dual
    See merge request robots/tiago_robot!80
  * Corrected com positions and some inertias
  * Merge remote-tracking branch 'origin/urdf_arm_review' into tiago-dual
  * Fix changed orientation of original tiago arm
  * Finish dual arm urdf
  * Almost finished dual arms
  * Fixes for tiago dual
  * fix max vel and adjust max efforts
  * Fixed torque and speed limits for arm
  * review link 4-5-6-7
  * Contributors: Jordi Pages, Luca, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 12 Apr 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.16-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 12 Apr 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.15-1jammy) jammy; urgency=high

  * Merge branch 'wrist_current_control' into 'erbium-devel'
    Add missing effort config files
    See merge request robots/tiago_robot!70
  * Add missing effort config files
  * Contributors: Adria Roig, Hilario Tome

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 05 Apr 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.14-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 03 Apr 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.13-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 28 Mar 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.12-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.11-1jammy) jammy; urgency=high

  * Fix wrong include, could be duplicated
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.10-1jammy) jammy; urgency=high

  * Merge branch 'move-end-effector-xacro' into 'erbium-devel'
    Move end_effector xacro code for reusing
    See merge request robots/tiago_robot!75
  * Fix xacro warnings
  * Parametrize arm origin
  * Move end_effector xacro code for reusing
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.9-1jammy) jammy; urgency=high

  * Merge branch 'fix_xacro_warning2' into 'erbium-devel'
    Fix xacro warning2
    See merge request robots/tiago_robot!45
  * fix xacro deprecation warning
  * Contributors: Jeremie Deray, Procópio Stein

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 22 Mar 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.8-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 15 Mar 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.7-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 14 Mar 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.6-1jammy) jammy; urgency=high

  * Add padding and extend blacklist
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 12 Mar 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.5-1jammy) jammy; urgency=high

  * Merge branch 'multi_simulation' into 'erbium-devel'
    Fix multitiago simulation
    See merge request robots/tiago_robot!69
  * Fix multitiago simulation
  * Contributors: Victor Lopez, davidfernandez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 26 Feb 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.4-1jammy) jammy; urgency=high

  * Merge branch 'camera_calib' into 'erbium-devel'
    added extrinsic camera calibration file modifications
    See merge request robots/tiago_robot!68
  * added extrinsic camera calibration file changes
  * Contributors: Jordi Pages, Sai Kishor Kothakota

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 08 Feb 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.3-1jammy) jammy; urgency=high

  * Remove usages of pass_all_args, not supported in kinetic yet
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 05 Feb 2019 00:00:00 -0000

ros-humble-tiago-description (2.0.2-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 21 Dec 2018 00:00:00 -0000

ros-humble-tiago-description (2.0.1-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 20 Dec 2018 00:00:00 -0000

ros-humble-tiago-description (2.0.0-1jammy) jammy; urgency=high

  * Merge branch 'specifics-refactor' into 'erbium-devel'
    Generate automatically play_motion and approach_planner configs
    See merge request robots/tiago_robot!65
  * Add default params to upload.launch
  * Fix arguments for upload
  * Add head and migrate controller launch
  * Parametrize urdf
  * remove deprecated launch file
  * 1.0.23
  * changelog
  * Contributors: Procópio Stein, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 19 Dec 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.23-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 05 Dec 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.22-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 04 Dec 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.21-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 29 Nov 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.20-1jammy) jammy; urgency=high

  * Merge branch 'add-grasping-motions' into 'erbium-devel'
    Add motions for pal grasping pipeline
    See merge request robots/tiago_robot!62
  * Add new motions for grasping
  * Add collision parameters for tiago
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 19 Nov 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.19-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 23 Oct 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.18-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 19 Sep 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.17-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 17 Sep 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.16-1jammy) jammy; urgency=high

  * Merge branch 'multiple-link-collisions' into 'erbium-devel'
    Split torso collision into multiple elements for better convex hulls
    See merge request robots/tiago_robot!56
  * Split torso collision into multiple elements for better convex hulls
  * Contributors: Hilario Tome, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 06 Aug 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.15-1jammy) jammy; urgency=high

  * Merge branch 'add-collision-parameters' into 'erbium-devel'
    Add collision_parameters.yaml
    See merge request robots/tiago_robot!57
  * Add collision_parameters.yaml
  * Contributors: Hilario Tome, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 06 Aug 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.14-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 01 Aug 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.13-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 01 Aug 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.12-1jammy) jammy; urgency=high

  * Merge branch 'fix-simulation-warnings' into 'erbium-devel'
    Fix simulation warnings
    See merge request robots/tiago_robot!54
  * remove gazebo property overwrite
  * fix typo in comment
  * call xacro rather than xacro.py
  * Contributors: Jordi Pages, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 30 Jul 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.11-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 13 Jul 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.10-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 10 Jul 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.9-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 24 May 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.8-1jammy) jammy; urgency=high

  * Merge branch 'deprecate_upload_tiago' into 'erbium-devel'
    deprecate upload_tiago & fix xacro warning --inorder
    See merge request robots/tiago_robot!42
  * deprecate upload_tiago & fix xacro warning --inorder
  * Contributors: Hilario Tome, Jeremie Deray

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 02 May 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.7-1jammy) jammy; urgency=high

  * Merge branch 'mr-origin-43' into 'erbium-devel'
    normalize xmlns across xacro files
    See merge request robots/tiago_robot!48
  * normalize xmlns across xacro files
  * Merge branch 'remove-chessboard' into 'erbium-devel'
    Remove chessboard, it's a separate entity now
    See merge request robots/tiago_robot!47
  * Remove chessboard, it's a separate entity now
  * Merge branch 'fix_xacro_warning' into 'erbium-devel'
    fix xacro warning
    See merge request robots/tiago_robot!44
  * fix xacro warning
    deprecated: xacro tags should be prepended with 'xacro' xml namespace.
    Use the following script to fix incorrect usage:
    find . -iname "*.xacro" | xargs sed -i 's#<([/]?)(if|unless|include|arg|property|macro|insert_block)#<1xacro:2#g'
  * Contributors: Hilario Tome, Jeremie Deray, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 02 May 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.6-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 10 Apr 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.5-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 29 Mar 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.4-1jammy) jammy; urgency=high

  * Merge branch 'recover-chessboard-tiago' into 'erbium-devel'
    Recover chessboard tiago
    See merge request robots/tiago_robot!38
  * Increase camera FoV, more similar to real robot
  * Improve chessboard position wrt real robot
  * Add missing tiago_steel_chessboard files
  * Revert "remove unused files"
    This reverts commit e50aca81d55736b99e108bb90d681862be39c028.
  * Contributors: Jordi Pages, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 26 Mar 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.3-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 16 Mar 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.2-1jammy) jammy; urgency=high

  * Merge branch 'add-kinematic-launch' into 'dubnium-devel'
    add launch for kinematic testing
    See merge request robots/tiago_robot!35
    (cherry picked from commit 252410614569a03cf74ec494039981c8d660a834)
    89ebce04 add launch for kinematic testing
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 06 Mar 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.1-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 22 Feb 2018 00:00:00 -0000

ros-humble-tiago-description (1.0.0-1jammy) jammy; urgency=high

  * added joint state interface transmission
  * Fix gravity compensation issues
  * added more configuration files for local joint control
  * Contributors: Adria Roig, Hilario Tome

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 21 Feb 2018 00:00:00 -0000

ros-humble-tiago-description (0.0.46-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 20 Feb 2018 00:00:00 -0000

ros-humble-tiago-description (0.0.45-1jammy) jammy; urgency=high

  * add pal_wsg_gripper_description dependency
  * Contributors: Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 08 Feb 2018 00:00:00 -0000

ros-humble-tiago-description (0.0.44-1jammy) jammy; urgency=high

  * add fingertip force sensors
  * remove blank line
  * Contributors: Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 06 Feb 2018 00:00:00 -0000

ros-humble-tiago-description (0.0.43-1jammy) jammy; urgency=high

  * add files for schunk-gripper based TIAGo
  * remove unused files
  * Contributors: Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 24 Jan 2018 00:00:00 -0000

ros-humble-tiago-description (0.0.42-1jammy) jammy; urgency=high

  * increase eps in arm and head joints' ranges
    To prevent reaching mechanical limits after eye-hand calibration, which changes the offsets of these joints
  * Contributors: Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 01 Dec 2017 00:00:00 -0000

ros-humble-tiago-description (0.0.41-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/automatic_calibration' into dubnium-devel
  * deleted the calibration.urdf.xacro from this package and moved to another external package accessible from the customer
  * Modify the offset to allow the automatic calibration
  * Contributors: AleDF, Hilario Tomé

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 31 Oct 2017 00:00:00 -0000

ros-humble-tiago-description (0.0.40-1jammy) jammy; urgency=high

  * added support for absolute encoders
  * update urdf arm model for CoM position fix
  * Add simple tests for URDF files
  * Contributors: Hilario Tomé, Luca, davidfernandez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 27 Oct 2017 00:00:00 -0000

ros-humble-tiago-description (0.0.39-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 12 Jul 2017 00:00:00 -0000

ros-humble-tiago-description (0.0.38-1jammy) jammy; urgency=high

  * Add configurations for Tiago Iron
  * Contributors: davidfernandez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 16 May 2017 00:00:00 -0000

ros-humble-tiago-description (0.0.37-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 05 May 2017 00:00:00 -0000

ros-humble-tiago-description (0.0.36-1jammy) jammy; urgency=high

  * Allow multiple Tiagos on Gazebo
    Refs #15402
  * Contributors: David Fernandez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 24 Apr 2017 00:00:00 -0000

ros-humble-tiago-description (0.0.35-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 21 Dec 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.34-1jammy) jammy; urgency=high

  * move torso 0 position 1 cm upwards
  * Contributors: Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 06 Nov 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.33-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 04 Nov 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.32-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 26 Oct 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.31-1jammy) jammy; urgency=high

  * Added gazebo plugin to simulate the world frame in gazebo
  * 0.0.30
  * Update changelog
  * fixes #14569: proper RGB point clouds
  * add myself as maintainer
  * add myself as maintainer
  * refs #13892: fix reference frame
  * 0.0.29
  * Update changelog
  * 0.0.28
  * Update changelog
  * 0.0.27
  * Update changelog
  * 0.0.26
  * Update changelog
  * 0.0.25
  * Update changelog
  * Making the simulation be more close to the real robot xtion
  * 0.0.24
  * changelog
  * 0.0.23
  * Update changelog
  * Add imu to gazebo simulation
  * 0.0.22
  * Update changelog
  * Add provideFeedback to tiago wrist
  * 0.0.21
  * Update changelog
  * 0.0.20
  * Update changelog
  * 0.0.19
  * Update changelog
  * 0.0.18
  * changelog
  * 0.0.17
  * changelog
  * 0.0.16
  * Update changelog
  * 0.0.15
  * Update changelog
  * 0.0.14
  * Update changelog
  * 0.0.13
  * Update changelog
  * Merge branch 'dubnium-devel' of gitlab:robots/tiago_robot into dubnium-devel
  * Corrected the pose of the gripper
  * Contributors: Adria Roig, Jeremie Deray, Jordi Pages, Sam Pfeiffer, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 14 Oct 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.30-1jammy) jammy; urgency=high

  * fixes #14569: proper RGB point clouds
  * add myself as maintainer
  * add myself as maintainer
  * refs #13892: fix reference frame
  * Contributors: Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 13 Oct 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.29-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 28 Jul 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.28-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 28 Jul 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.27-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 19 Jul 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.26-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 08 Jul 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.25-1jammy) jammy; urgency=high

  * Making the simulation be more close to the real robot xtion
  * Contributors: Sam Pfeiffer

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 28 Jun 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.24-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 15 Jun 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.23-1jammy) jammy; urgency=high

  * Add imu to gazebo simulation
  * Contributors: Sam Pfeiffer

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 15 Jun 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.22-1jammy) jammy; urgency=high

  * Add provideFeedback to tiago wrist
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 15 Jun 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.21-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 15 Jun 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.20-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 14 Jun 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.19-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 14 Jun 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.18-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 14 Jun 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.17-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 13 Jun 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.16-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 13 Jun 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.15-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 13 Jun 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.14-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 10 Jun 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.13-1jammy) jammy; urgency=high

  * Merge branch 'dubnium-devel' of gitlab:robots/tiago_robot into dubnium-devel
  * Corrected the pose of the gripper
  * Contributors: Sam Pfeiffer

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 10 Jun 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.12-1jammy) jammy; urgency=high

  * Merged changes of wrist range + ft sensor
  * Add hardware port of force torque
  * Add force torque sensor
  * Contributors: Sam Pfeiffer

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 07 Jun 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.11-1jammy) jammy; urgency=high

  * missing deps pal_gripper
  * tiago has sonars
  * Remove old gripper references
  * Changed previous gripper to newer one
  * fixes #13516
  * Contributors: Bence Magyar, Hilario Tome, Jeremie Deray, Jordi Pages, Sam Pfeiffer, Victor Lopez, mailto:jordi.pages@pal-robotics.com

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 03 Jun 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.10-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 26 Apr 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.9-1jammy) jammy; urgency=high

  * Updated joint limits as per errors found by Louis
  * Contributors: Sam Pfeiffer

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 25 Apr 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.8-1jammy) jammy; urgency=high

  * fixed rgb_optical_frame name affecting simulation
  * fix chessboard pose
  * remove collision in calibration chessboard
  * Contributors: mailto:jordi.pages@pal-robotics.com

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 19 Apr 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.7-1jammy) jammy; urgency=high

  * Update urdf
  * Add new meshes
  * Delete old meshes
  * Contributors: Sam Pfeiffer

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 11 Apr 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.6-1jammy) jammy; urgency=high

  * Fixed wheel sleeping in gazebo, and added head transmission (This can break the real robot if a blacklist is not implemented in pal_ros_control
  * Contributors: Hilario Tome

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 31 Mar 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.5-1jammy) jammy; urgency=high

  * Add effort transmision
  * using base_sensors instead of base
  * remove hey5 hand from URDF
  * Added safety controller to torso lift joint
  * Update inertial params
  * 7 cm / sec torso speed
  * Gripper parts color
  * Updated gripper base mesh
  * Update head, todo: dae coloring for the head_2
  * Update license
  * Update joint limit
  * Remove module-only arm
  * Arm 1 collision added
  * Update collision & meshes
  * Remove old head mesh
  * Update torso meshes &  collision
  * Update limits
  * Add cover for module hole
  * Review of joint limits
  * Update arm
  * Update torso
  * Update gripper finger
  * No need for have_base_rgdb anymore
  * New arm distances, more to come
  * Update head distance from torso_lift_link
  * Remove temporary cabling boxes
  * change torso limits and update motions
  * Update gripper length to approx real one
  * Update head
  * add cover on top of mobile base
    Define collision and visual elements needed for the motion planning of TIAGo proof-of-concept
  * restrict lifter joint to go lower than 5 cm
    Take into account new mobile base covers that are 5 cm high
  * DarkGrey for all arm parts in gazebo
  * Updated limits
  * Add cable channel to the front of the column
  * Increase speed of torso
  * Contributors: Bence Magyar, Hilario Tome, Jordi Pages, Sam Pfeiffer, mailto:jordi.pages@pal-robotics.com

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 21 Mar 2016 00:00:00 -0000

ros-humble-tiago-description (0.0.4-1jammy) jammy; urgency=high

  * Add safety box around the hand
  * Fix wrist direction
  * Add yellow
  * Add more collision geometries representing boxes and cable carriers on first tiago
  * Update joint limit to real
  * Update elbow joint limits
  * Update head joint limits
  * Adding tiago_shadow, tiago with shadow lite hand (! no dependency on shadow packages on purpose!)
  * Add arm with only modules, no wrist
  * Contributors: Bence Magyar

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 20 May 2015 00:00:00 -0000

ros-humble-tiago-description (0.0.3-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 15 Apr 2015 00:00:00 -0000

ros-humble-tiago-description (0.0.2-1jammy) jammy; urgency=high

  * Remove gazebo dependency
  * Increase speed of torso joint
  * Add tiago iron urdf
  * Refactor gripper to ${name}
  * Added grasping frame
  * rotate chessboard and use degrees in its RPY
  * Stop fingers shaking and add grasping hack
  * add missing components for titanium+chessboard
  * rename frame
  * Tweak inertial params
  * better placement of chessboard
  * Add URDF with chessboard attached to hand
    For eye-hand calibration in simulation
  * Changes to fix finger shaking. Much better than before.
  * Use steel and titanium tiago, launch files parametrized
  * Change gripper joint names and add pids
  * Change finger names and add controller + first gains
  * Add tiago_steel and tiago_gripper sketch
  * Parametrize on robot type (tiago_X)
  * Activate hand
  * Make DarkGrey darker
  * Change occureces of ant to pmb2
  * Update xtion with inertias and adding _link to parent inside
  * Add nice visual to head2
  * Update torso with reviewed inertial params
  * Contributors: Bence Magyar, Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 15 Apr 2015 00:00:00 -0000

ros-humble-tiago-description (0.0.1-1jammy) jammy; urgency=high

  * Fix orientation of head joint
  * Comment actuator specification in transmission so that pal_ros_control won't take control of them.
  * Comment joint mode related parts
  * Add transmission to torso
  * Add _use_gui:=True
  * Remove config from install rule
  * Don't append _link to parent value
  * Update joint limits of head, 45degs up, 90degs down
  * Remove unused sensors and fix link to mesh in xtion
  * Update inertias, Center of Mass' and related pids
    Hand commented until it works on gazebo
  * Add tiago hardware to description
  * add arg
  * Update distances
  * Fix arm location
  * Add head based on v2 drawing
  * Add joint limits and rotate wrist according to v3
  * arm v2, extensions of the same length
  * Fix optical frame alignment
  * Add preliminary head
  * Update joint limits
  * Fix torso
  * Add visual & collision before wrist
  * Fix visuals on arm
  * Add hey5 hand to tiago
  * Remove duplicated ant stuff and pull mobile base from ant_description
  * Add arm and adjust torso
  * Updated torso
  * Initial commit
  * Contributors: Bence Magyar, Hilario Tome

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 20 Jan 2015 00:00:00 -0000


